API referenceCollections
List the items of a collection
Free.
Authorization
bearerAuth AuthorizationBearer <token>
Your API key, sent as Authorization: Bearer rc_live_….
In: header
Path Parameters
collection_id*string
The collection's id.
Format
uuidQuery Parameters
limit?integer
Page size.
Range
1 <= value <= 100Default
20starting_after?string
Return the page after the object with this id. Cannot be combined with ending_before.
Format
uuidending_before?string
Return the page before the object with this id. Cannot be combined with starting_after.
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.registercheck.de/v1/collections/0395bbca-b4c7-4bfe-894b-e4e50256dc90/items" \ -H "Authorization: Bearer $REGISTERCHECK_API_KEY"{ "object": "list", "has_more": true, "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "object": "collection_item", "collection_id": "4bdef85c-3f50-4006-a713-2350da665f80", "entity": { "object": "company", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "note": "string", "created_at": "2019-08-24T14:15:22Z", "metadata": { "crm_id": "0015g00000XyZ", "team": "kyc" } } ]}